<?php
// Запрет прямого доступа.
defined('_JEXEC') or die;

//Хелпер компонента.
abstract class KontaktHelper
{
	public static function addSubmenu($submenu) 
	{
		JSubMenuHelper::addEntry(JText::_('COM_KONTAKT_SUBMENU_MESSAGES'),
									'index.php?option=com_kontakt', $submenu == 'messages');
		JSubMenuHelper::addEntry(JText::_('COM_KONTAKT_SUBMENU_CATEGORIES'),
									'index.php?option=com_categories&view=categories&extension=com_kontakt',
									$submenu == 'categories');

		// Устанавливаем глобальные свойства.
		$document = JFactory::getDocument();
		$document->addStyleDeclaration('.icon-48-kontakt ' .
										'{background-image: url(../media/com_kontakt/images/kontakt-48x48.png);}');
		if ($submenu == 'categories') 
		{
			$document->setTitle(JText::_('COM_KONTAKT_ADMINISTRATION_CATEGORIES'));
		}
	}

	public static function getActions($messageId = 0)
	{
		// Подключаем библиотеку доступов.
		jimport('joomla.access.access');
		// Определяем имя ассета (ресурса).
		if (empty($messageId)) 
		{
			$assetName = 'com_kontakt';
		}
		else 
		{
			$assetName = 'com_kontakt.message.' . (int)$messageId;
		}
		// Получаем список доступных действий для компонента.
		$actions = JAccess::getActions('com_kontakt', 'component');
		// Получаем объект пользователя.
		$user = JFactory::getUser();
		$result = new JObject;
		foreach ($actions as $action)
		{
			// Устанавливаем доступы пользователя для действий.
			$result->set($action->name, $user->authorise($action->name, $assetName));
		}
		return $result;
	}
}