<?php
// Запрет прямого доступа.
defined('_JEXEC') or die;
// Подключаем библиотеку представления Joomla.
jimport('joomla.application.component.view');

/* HTML представление списка материалов компонента Контакт. */
class KontaktViewKontakts extends JViewLegacy
{
	//Материалы.  array 
	protected $items;

	//Постраничная навигация.
	protected $pagination;

	// Доступы пользователя.
	protected $canDo;

	//Отображает список сообщений.
	public function display($tpl = null) 
	{
		// Получаем данные из модели.
		$this->items = $this->get('Items');
		// Получаем объект постраничной навигации.
		$this->pagination = $this->get('Pagination');
		// Есть ли ошибки.
		if (count($errors = $this->get('Errors'))) 
		{
			JFactory::getApplication()->enqueueMessage(implode('<br />', $errors), 'error');
		}
		// Получаем доступы пользователя.
		$this->canDo = KontaktHelper::getActions();
		// Устанавливаем панель инструментов.
		$this->addToolBar();
 		// Отображаем представление.
		parent::display($tpl);
	}

	//Устанавливает панель инструментов.
	protected function addToolBar() 
	{
		JToolBarHelper::title(JText::_('COM_KONTAKT_MANAGER_KONTAKTS'), 'kontakt');
		if ($this->canDo->get('core.create'))
		{
			JToolBarHelper::addNew('kontakt.add');
		}
		if ($this->canDo->get('core.edit'))
		{
			JToolBarHelper::editList('kontakt.edit');
		}
		if ($this->canDo->get('core.delete'))
		{
			JToolBarHelper::divider();
			JToolBarHelper::deleteList('', 'kontakts.delete');
		}
		if ($this->canDo->get('core.admin'))
		{
			JToolBarHelper::divider();
			JToolBarHelper::preferences('com_kontakt');
		}
	}
}